import request from "@/utils/request";
//获取多条数据
export const getData = (data) => {
  return request({
    url: "/point-strategy/elasticArchive/list",
    method: "post",
    data,
  });
};
//检查实体借阅
export const checkEntityBorrow = (params) => {
  return request({
    url: "/point-strategy/v/archiveUse/checkEntityBorrow",
    method: "post",
    params,
  });
};
// 删除全部
export const deleteAndCreateIndex = (params) => {
  return request({
    url: "/point-strategy/elasticArchive/deleteAndCreateIndex",
    method: "post",
    params,
  });
};
// 得到档案详情
export const selectById = (params) => {
  return request({
    url: "/point-strategy/v/danganguanli/selectById",
    method: "post",
    params,
  });
};
// 实体借阅是否已借出
export const entityBorrowing = (params) => {
  return request({
    url: "/point-strategy/v/archiveUse/checkEntityBorrow",
    method: "post",
    params,
  });
};
// 三层详情
export const selectThreeObject = (params) => {
  return request({
    url: "/point-strategy/v/danganguanli/selectThreeObject",
    method: "post",
    params,
  });
};

// OA借阅申请
export const doCreateRequest = (data) => {
  return request({
    url: "/point-strategy/v/approveApply/doCreateRequest",
    method: "post",
    data,
  });
};

// 修改ES最大查询设置
export const elasticArchiveMaxResult = (params) => {
  return request({
    url: "/point-strategy/elasticArchive/maxResult",
    method: "get",
    params,
  });
};

// 高级查询
export const advancedSearch = (data) => {
  return request({
    url: "/point-strategy/elasticArchive/advancedSearch",
    method: "post",
    data,
  });
};
